%bcond_without tests

Summary:        Python attributes without boilerplate
Name:           python-attrs
Version:        23.1.0
Release:        4%{?dist}
License:        MIT
URL:            http://www.attrs.org/
BuildArch:      noarch
Source0:        https://github.com/hynek/attrs/archive/%{version}/attrs-%{version}.tar.gz

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-hypothesis
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-zope-interface
%endif

%description
attrs is an MIT-licensed Python package with class decorators that
ease the chores of implementing the most common attribute-related
object protocols.

%package -n python%{python3_pkgversion}-attrs
Summary:        %{summary}
Provides:       python%{python3_pkgversion}-attrs

%description -n python%{python3_pkgversion}-attrs
attrs is an MIT-licensed Python package with class decorators that
ease the chores of implementing the most common attribute-related
object protocols.

%prep
%autosetup -n attrs-%{version}
sed -i '/"pympler",/d' pyproject.toml

sed -i "/attrs\[tests-no-zope\]/d" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x tests}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files attr attrs

%check
%if %{with tests}
%pytest
%endif

%files -n python%{python3_pkgversion}-attrs -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.1.0-4
- Rebuilt for loongarch release

* Tue Jul 2 2024 Shuo Wang <abushwang@tencent.com> - 23.1.0-3
- fix can not find LICENSE

* Thu May 30 2024 Shuo Wang <abushwang@tencent.com> - 23.1.0-2
- enable %check

* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 23.1.0-1
- update to 23.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.1.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 12 2022 Feng Weiyao <wynnfeng@tencent.com> - 22.1.0-1
- package init.

